#
# spec file for package perl-NetAddr-IP
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-NetAddr-IP
Version:        4.079
Release:        1.42
%define cpan_name NetAddr-IP
Summary:        Manages IPv4 and IPv6 addresses and subnets
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/NetAddr-IP/
Source0:        http://www.cpan.org/authors/id/M/MI/MIKER/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
%{perl_requires}

%description
This module provides an object-oriented abstraction on top of IP addresses
or IP subnets that allows for easy manipulations. Version 4.xx of
NetAddr::IP will work with older versions of Perl and is compatible with
Math::BigInt.

The internal representation of all IP objects is in 128 bit IPv6 notation.
IPv4 and IPv6 objects may be freely mixed.

%prep
%setup -q -n %{cpan_name}-%{version}
find . -type f ! -name \*.pl -print0 | xargs -0 chmod 644

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc About-NetAddr-IP.txt Artistic Changes Copying docs TODO

%changelog
* Sat May 28 2016 coolo@suse.com
- updated to 4.079
  see /usr/share/doc/packages/perl-NetAddr-IP/Changes
  Revision history for Perl extension NetAddr::IP
* Sun Feb  9 2014 coolo@suse.com
- updated to 4.072
  modify Makefile.PL to bypass missing 'pod2text'
* Fri Oct  4 2013 coolo@suse.com
- updated to 4.071
    add method "canon" by request from <tom.jones@bccx.com>
    nth documention error fixed. thanks to Anton tobez@tobez.org
    Lite v1.51, add new6FFFF, RFC4291 compliant ipv4->ipV6 new
* Mon Jun 10 2013 cfarrell@suse.com
- license update: GPL-2.0+ or ClArtistic
  See COPYING and Artistic
* Sat Jun  8 2013 coolo@suse.com
- updated to 4.069
    IN Lite.pm v1.50, add =encoding UTF-8
    In Util.pm v1.50
    changed Makefile.PL to check for config.h when building for XS
    with 'gcc', try building with 'cc', and check again.
    If config.h is not found, force Pure Perl mode.
    Kill XS in winduhs and Darwin, both of which misbehave when compiling XS code
  4.067 Sat Mar 30 12:57:20 PDT 2013
    Improved diagnostic message for "die" with bad mask for
    hostenum, hostenumref, split, splitref, rsplit, rsplitref
    Thanks to GENSYM@cpan.org for pointing out the need.
  4.066 Mon Oct 29 13:30:14 PDT 2012
    update Lite.pm v1.47 to support bracketed IPv6 URI notation
    as described in RFC-3986
    Thanks to Quanah Gibson-Mount mishikal@yahoo.com
  4.065 Tue Oct  2 12:36:11 PDT 2012
    correct format for IPv6 embedded IPv4 addresses
    in InetBase v0.8
  4.064 Tue Sep 25 13:54:47 PDT 2012
    added support for rfc3021 /31 networks to hostenum
  4.063 Fri Aug 10 11:46:18 PDT 2012
    Updated GPL v2.0 text and address in all modules
  4.062 Wed Jun  6 12:34:48 PDT 2012
    documentation updates courtesy of
    Ben Bullock <benkasminbullock@gmail.com>
    Thank you Ben.
  4.061 Tue May  8 16:24:03 PDT 2012
    fixed bug in Lite v1.44 that returned
    $ip->num() = 2^128 for 0.0.0.0/0
    Thanks to Sebastian <debug@test1.org> for spotting it.
  4.060 Fri Apr  6 16:00:02 PDT 2012
    In Lite.pm v1.43,
    fix bug #75976, change in behavior introduced in v4.050
* Wed Mar  7 2012 andrea.turrini@gmail.com
- fixed typo in perl-NetAddr-IP.spec description
* Mon Dec 19 2011 coolo@suse.de
- updated to 4.058
    up rev for documentation update
    update documentation in InetBase v0.06
    Lite.pm v1.40
    add call to InetBase::fillIPv4 to all uses of gethostbyname
    break out the code in InetBase v0.05 that expands short IPv4
    addresses into dotquad format to account for broken BSD
    implementations of inet_aton and gethostbyname that do
    not recognize the short format. EXPORT this as sub 'fillIPv4'
    in Util.pm v1.45, add 'fillIPv4' to calls to gethostbyname to
    work around broken inet_aton and gethostbyname implementations
    in certain BSD implementations
* Mon Dec 19 2011 coolo@suse.de
- update to 4.056, see Changes - a lot of them
* Sun Aug 28 2011 andrea.turrini@gmail.com
- fixed typos in perl-NetAddr-IP.spec
* Wed Jun  8 2011 coolo@novell.com
- updated to 4.044
    added missing support for ->compactref(\@list) which is described
    in the documentation but not implemented.
* Thu Apr  7 2011 coolo@novell.com
- updated to 4.043
    Update documentation on the use of "adding constants
    to an IP address".
* Thu Mar 31 2011 coolo@novell.com
- update to 4.042
  * a lot of changes, see Changes
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Mon Aug  9 2010 chris@computersalat.de
- update to 4.030
  * Resolve named hosts in Lite.pm using gethostbyname, followed by
    gethostbyname6 to determine whether to set ipV6 flag
    Thanks to Dusty Mabe <Dusty.Mabe@tekelec.com> for spotting this bug
  4.029  Thu Jul  8 18:17:38 PDT 2010
  * In NetAddr::IP::Lite,
    added support for the sub "new" to resolve host6 names
    if the OPTIONAL perl Socket6 module is available
    Thanks to "Mabe, Dusty" <Dusty.Mabe@tekelec.com> for spotting
    this and suggesting a fix.
  4.028  Wed May 12 14:18:20 PDT 2010
  * In /Lite/Util/Util.xs v1.32,
    changed netswap() to postincrement
  * a++ = to *a and added increment after save to mollify some
    picky compilers that return possible undefined behavior.
  * changed type of _128x10 to 'void'
    Thanks to David Bolt <dbolt@davjam.org> for the above two patches
- recreated by cpanspec 1.78
- removed obsolete sequence-point patch
- removed obsolete no-return-in-nonvoid-function patch
  o see changes of 4.028
* Tue Apr 20 2010 chris@computersalat.de
- update to 4.027
  * In NetAddr::IP::Util v1.31,
    ferret out shell value for Makefile.PL when calling
    ./configure for systems where the 'x' bit gets lost
    due to bug in Archive::Tar
- cleanup spec
  * BuildReq perl
  * sort TAGS
  * updated Url, description
  * removed Provides NetAddr
  * macro usage
- added perl-macros
* Sat May 30 2009 lars@linux-schulserver.de
- update to 4.026
  + inherit method "new_from_aton" from NetAddr::IP::Lite add
    related documentation
  + updated Lite/t/v4-wnew.t so that non-existent domains are
    "really" not there
  + add test in inet_aton to detect overange IP dot quad values
    missed by some broken Socket implementations
  + In Lite.pm v1.10, add new no octal method for improperly
    formatted ipV4 addresses
  + added minus (-) overloading to allow the subtraction of two
    NetAddr::IP objects to get the difference between the
    object->{addr}'s as a numeric value
  + added what is hopefully thread safe operation via
    serialization. Must be invoked by "--with-threads"
  + Extended the capability of 'splitref' to allow splitting of
    objects into multiple pieces with differing CIDR masks.
    Returned object list can be split from bottom to top
    or from top to bottom depending on which method is called
    split, rsplit, splitref, rsplitref
- rpmlint fixes
* Tue Jan 30 2007 ms@suse.de
- update to version 4.00.4
  4.004  Wed Aug 16 16:01:54 PDT 2006
    update to include/exclude files in corrupted distro
  4.003  Sun Aug  6 10:48:25 PDT 2006
    correct SYNOPSIS documentation
    add :old_nth
    update Lite.pm documentation
    update Util.pm documentation
    Imported into distribution CVS tree - Some revision number
    mismatches are to be expected
    Latin-1 is back
    Fixed some angle brackets so that they show up in the docs
  4.002  Fri Aug  4 14:14:16 PDT 2006
    remove unused global variable $isV6
    update Lite.pm to v1.02
    $isV6 global converted to a lexical variable within sub "_xnew"
    $Class global removed and replaced by calls to UNIVERSAL::isa
    Thanks to julian@mehnle.net for spotting problems related to
    using the Lite.pm with mod_perl
  4.001  Thu Jul  6 14:09:01 PDT 2006
    various bug fixes courtesy of Luis Munoz:
    changes to Lite.pm v1.01, Util.pm v0.17 see Changes in those distros.
    update t/v6-re.t, addconst called as a scalar, should be called to
    return the address value ()[1]
  4.000  Mon Jun 19 21:51:10 PDT 2006
    initial release of version 4.000 which includes
    full support of ipV6 addresses and drops the requirement
    for Math::BigInt and will run on older versions of Perl
    at least back to  5.005_03
* Mon May  8 2006 ms@suse.de
- update to version 3.32
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Sep 29 2005 dmueller@suse.de
- add norootforbuild
* Thu May 19 2005 ms@suse.de
- update to version 3.24
* Wed Oct 20 2004 ms@suse.de
- fixed filelist (perl_vendorlib)
* Thu Feb 26 2004 ms@suse.de
- initial version of perl-NetAddr-IP (v3.19)
